Get setup for PyPI.

main
Jennifer Taylor 1 year ago
parent 6275694d1b
commit d4fd677a45
  1. 24
      LICENSE
  2. 4
      README.md
  3. 0
      requirements.txt
  4. 7
      setup.py

@ -0,0 +1,24 @@
This is free and unencumbered software released into the public domain.
Anyone is free to copy, modify, publish, use, compile, sell, or
distribute this software, either in source code form or as a compiled
binary, for any purpose, commercial or non-commercial, and by any
means.
In jurisdictions that recognize copyright laws, the author or authors
of this software dedicate any and all copyright interest in the
software to the public domain. We make this dedication for the benefit
of the public at large and to the detriment of our heirs and
successors. We intend this dedication to be an overt act of
relinquishment in perpetuity of all present and future rights to this
software under copyright law.
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR
OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.
For more information, please refer to <https://unlicense.org>

@ -77,8 +77,8 @@ flake8 --ignore E501 .
By design, this code can be used as a library by other python code, and as it is Public Domain,
it can be included wherever. I would prefer that you attribute me when possible, but it is not
necessary. There is currently no PyPI package for arcadeutils, but if you clone the repo and
run `pip install .` on the root, the package will be installed for you. Alternatively if you
necessary. This package can be found on PyPI under "arcadeutils", or you can clone the repo and
run `pip install .` on the root and the package will be installed for you. Alternatively if you
place the line `git+https://github.com/DragonMinded/arcadeutils.git@main#egg=arcadeutils` in your
requirements file, then when you run `pip install -r requirements.txt` on your own code, the latest
version of this package will be installed for you.

@ -1,17 +1,20 @@
import os
from setuptools import setup # type: ignore
setup(
name='arcadeutils',
version='0.1',
version='0.1.1',
description='Collection of utilities written in Python for working with various arcade binaries.',
long_description='Collection of utilities written in Python for working with various arcade binaries.',
author='DragonMinded',
license='Public Domain',
url='https://github.com/DragonMinded/arcadeutils',
package_data={"arcadeutils": ["py.typed"]},
packages=[
'arcadeutils',
],
install_requires=[
req for req in open('requirements.txt').read().split('\n') if len(req) > 0
],
python_requires=">=3.6",
)

Loading…
Cancel
Save